Support » Plugin: WooCommerce POS » erro when checkout in POS, unable to proceed

  • Resolved desophea

    (@desophea)


    i receive this error: please help

    Invalid parameter(s): line_items

    {“code”:”rest_invalid_param”,”message”:”Invalid parameter(s): line_items”,”data”:{“status”:400,”params”:{“line_items”:”line_items[0][price] is not of type string.”}}}

Viewing 11 replies - 31 through 41 (of 41 total)
  • Plugin Author kilbot

    (@kilbot)

    @rizzofernando – I have just released 0.4.17 which fixes the error for decimal quantities.

    @kilbot – Is there any part besides /apiv2/orders that you fix for this decimal issues? I am still using the 0.4.11 version because the latest one didn’t pull the membership discount (WC Membership) and the price still shows the regular_price.

    I also still get the same error.
    Some time’s it works but with long time out error.

    Still=> {“code”:”rest_invalid_param”,”message”:”Ongeldige parameter(s): line_items”,”data”:{“status”:400,”params”:{“line_items”:”line_items[0][price] is niet van het type number.”}}}

    @kilbot – Nevermind, I just have managed to make it works. Updated to latest WP, WC & POS. Then copied over /api & /apiv2 folder from 0.4.11 into 0.4.17. Finally the discounted price for membership was shown.

    @kilbot i have perform the upgrade + delete and reinstall back the POS plugin. But still not work. Any idea how to fix

    Invalid parameter(s): line_items

    {“code”:”rest_invalid_param”,”message”:”Invalid parameter(s): line_items”,”data”:{“status”:400,”params”:{“line_items”:”line_items[0][price] is not of type number.”}}}

    We still have issues. This is not fixed. We use WordPress 4.9.1 and WC 4.9.1
    We need this urgently fixed.
    Error while pressing checkout

    Invalid parameter(s): line_items

    {“code”:”rest_invalid_param”,”message”:”Invalid parameter(s): line_items”,”data”:{“status”:400,”params”:{“line_items”:”line_items[0][tax_class] is not of type integer.”}}}

    Plugin Author kilbot

    (@kilbot)

    Hi @manish3m, updating to WooCommerce 3.2.5+ will fix this issue. WordPress core made some changes to the REST API which caused errors in both WooCommerce and WooCommerce POS.

    I also had an issue with my checkout. Try turning your PHP errors / WP Debug mode on.

    My issue was that I had a plugin that used a legacy WooCommerce action, woocommerce_add_order_item_meta. Because the Order was created via the WooCommerce API I don’t think the required properties get set anywhere, $item->legacy_values, $item->legacy_cart_item_key, and causes a PHP error.

    Hope this helps someone!

    I just bought 5 licenses for WCPOS Pro version for multiple instances. WP ver. 4.9.2, WC ver. 3.2.6 & WCPOS ver 0.4.17 with Pro ver. on 0.4.13

    I keep getting this error and cant make any sale:

    Invalid parameter (s): line_items

    {“code”: “rest_invalid_param”, “message”: “Unrecognized parameter (s): line_items”, “data”: {“status”: 400, “params”: {“line_items” : “line_items [8] [price] is not of type number.”}}}

    Any suggestions?

    knudsen

    (@knudsen)

    So has the author disappeared? Because I’m having issues and finding no solutions. I’ve reached out on the actual plugin page and getting NO responses. This is very unfortunate because my clients are not happy.

    I’m having this error, too. Thankfully it is not mission critical, just annoying.

    WooCommerce POS 0.4.18
    WooCommerce 3.4.4
    WordPress 4.9.7

Viewing 11 replies - 31 through 41 (of 41 total)
  • The topic ‘erro when checkout in POS, unable to proceed’ is closed to new replies.